Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.security.algorithms.implementations
Class SignatureBaseRSA

    java.lang.Object
      org.apache.xml.security.algorithms.SignatureAlgorithmSpi
          org.apache.xml.security.algorithms.implementations.SignatureBaseRSA

Direct Known Subclasses:
  SignatureBaseRSA.SignatureRSAMD5, SignatureBaseRSA.SignatureRSARIPEMD160, SignatureBaseRSA.SignatureRSASHA1, SignatureBaseRSA.SignatureRSASHA256, SignatureBaseRSA.SignatureRSASHA384, SignatureBaseRSA.SignatureRSASHA512

    public abstract class SignatureBaseRSA

extends SignatureAlgorithmSpi

Nested Class Summary
`static class` | `SignatureBaseRSA.SignatureRSAMD5` Class SignatureRSAMD5
`static class` | `SignatureBaseRSA.SignatureRSARIPEMD160` Class SignatureRSARIPEMD160
`static class` | `SignatureBaseRSA.SignatureRSASHA1` Class SignatureRSASHA1
`static class` | `SignatureBaseRSA.SignatureRSASHA256` Class SignatureRSASHA256
`static class` | `SignatureBaseRSA.SignatureRSASHA384` Class SignatureRSASHA384
`static class` | `SignatureBaseRSA.SignatureRSASHA512` Class SignatureRSASHA512

Constructor Summary
`SignatureBaseRSA()` Constructor SignatureRSA

Method Summary
`protected java.lang.String` | `engineGetJCEAlgorithmString()` Proxy method for `Signature.getAlgorithm()` which is executed on the internal `Signature` object.
`protected java.lang.String` | `engineGetJCEProviderName()` Method engineGetJCEProviderName
`abstract java.lang.String` | `engineGetURI()` Returns the URI representation of `Transformation algorithm`
`protected void` | `engineInitSign(java.security.Key privateKey)` Proxy method for `Signature.initSign(java.security.PrivateKey)` which is executed on the internal `Signature` object.
`protected void` | `engineInitSign(java.security.Key signingKey, java.security.spec.AlgorithmParameterSpec algorithmParameterSpec)` Proxy method for `Mac` which is executed on the internal `Mac.init(Key)` object.
`protected void` | `engineInitSign(java.security.Key privateKey, java.security.SecureRandom secureRandom)` Proxy method for `Signature.initSign(java.security.PrivateKey, java.security.SecureRandom)` which is executed on the internal `Signature` object.
`protected void` | `engineInitVerify(java.security.Key publicKey)` Method engineInitVerify
`protected void` | `engineSetHMACOutputLength(int HMACOutputLength)` Method engineSetHMACOutputLength
`protected void` | `engineSetParameter(java.security.spec.AlgorithmParameterSpec params)` Proxy method for `Signature.setParameter( java.security.spec.AlgorithmParameterSpec)` which is executed on the internal `Signature` object.
`protected byte[]` | `engineSign()` Proxy method for `Signature.sign()` which is executed on the internal `Signature` object.
`protected void` | `engineUpdate(byte input)` Proxy method for `Signature.update(byte[])` which is executed on the internal `Signature` object.
`protected void` | `engineUpdate(byte[] input)` Proxy method for `Signature.update(byte[])` which is executed on the internal `Signature` object.
`protected void` | `engineUpdate(byte[] buf, int offset, int len)` Proxy method for `Signature.update(byte[], int, int)` which is executed on the internal `Signature` object.
`protected boolean` | `engineVerify(byte[] signature)` Proxy method for `Signature.verify(byte[])` which is executed on the internal `Signature` object.

Methods inherited from class org.apache.xml.security.algorithms.SignatureAlgorithmSpi
`engineGetContextFromElement, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SignatureBaseRSA

    public SignatureBaseRSA()
                     throws XMLSignatureException

  Constructor SignatureRSA

  Throws:
    `XMLSignatureException`

Method Detail

### engineGetURI

    public abstract java.lang.String engineGetURI()

  Description copied from class: `SignatureAlgorithmSpi`
  Returns the URI representation of `Transformation algorithm`

  Specified by:
    `engineGetURI` in class `SignatureAlgorithmSpi`
  Returns:
    the URI representation of `Transformation algorithm`

### engineSetParameter

    protected void engineSetParameter(java.security.spec.AlgorithmParameterSpec params)
                               throws XMLSignatureException

  Description copied from class: `SignatureAlgorithmSpi`
  Proxy method for `Signature.setParameter( java.security.spec.AlgorithmParameterSpec)` which is executed on the internal `Signature` object.

  Specified by:
    `engineSetParameter` in class `SignatureAlgorithmSpi`
  Throws:
    `XMLSignatureException`

### engineVerify

    protected boolean engineVerify(byte[] signature)
                            throws XMLSignatureException

  Description copied from class: `SignatureAlgorithmSpi`
  Proxy method for `Signature.verify(byte[])` which is executed on the internal `Signature` object.

  Specified by:
    `engineVerify` in class `SignatureAlgorithmSpi`
  Returns:
    true if the signature is correct
  Throws:
    `XMLSignatureException`

### engineInitVerify

    protected void engineInitVerify(java.security.Key publicKey)
                             throws XMLSignatureException

  Description copied from class: `SignatureAlgorithmSpi`
  Method engineInitVerify

  Specified by:
    `engineInitVerify` in class `SignatureAlgorithmSpi`
  Throws:
    `XMLSignatureException`

### engineSign

    protected byte[] engineSign()
                         throws XMLSignatureException

  Description copied from class: `SignatureAlgorithmSpi`
  Proxy method for `Signature.sign()` which is executed on the internal `Signature` object.

  Specified by:
    `engineSign` in class `SignatureAlgorithmSpi`
  Returns:
    the result of the `Signature.sign()` method
  Throws:
    `XMLSignatureException`

### engineInitSign

    protected void engineInitSign(java.security.Key privateKey,
                                  java.security.SecureRandom secureRandom)
                           throws XMLSignatureException

  Description copied from class: `SignatureAlgorithmSpi`
  Proxy method for `Signature.initSign(java.security.PrivateKey, java.security.SecureRandom)` which is executed on the internal `Signature` object.

  Specified by:
    `engineInitSign` in class `SignatureAlgorithmSpi`
  Throws:
    `XMLSignatureException` - if this method is called on a MAC

### engineInitSign

    protected void engineInitSign(java.security.Key privateKey)
                           throws XMLSignatureException

  Description copied from class: `SignatureAlgorithmSpi`
  Proxy method for `Signature.initSign(java.security.PrivateKey)` which is executed on the internal `Signature` object.

  Specified by:
    `engineInitSign` in class `SignatureAlgorithmSpi`
  Throws:
    `XMLSignatureException` - if this method is called on a MAC

### engineUpdate

    protected void engineUpdate(byte[] input)
                         throws XMLSignatureException

  Description copied from class: `SignatureAlgorithmSpi`
  Proxy method for `Signature.update(byte[])` which is executed on the internal `Signature` object.

  Specified by:
    `engineUpdate` in class `SignatureAlgorithmSpi`
  Throws:
    `XMLSignatureException`

### engineUpdate

    protected void engineUpdate(byte input)
                         throws XMLSignatureException

  Description copied from class: `SignatureAlgorithmSpi`
  Proxy method for `Signature.update(byte[])` which is executed on the internal `Signature` object.

  Specified by:
    `engineUpdate` in class `SignatureAlgorithmSpi`
  Throws:
    `XMLSignatureException`

### engineUpdate

    protected void engineUpdate(byte[] buf,
                                int offset,
                                int len)
                         throws XMLSignatureException

  Description copied from class: `SignatureAlgorithmSpi`
  Proxy method for `Signature.update(byte[], int, int)` which is executed on the internal `Signature` object.

  Specified by:
    `engineUpdate` in class `SignatureAlgorithmSpi`
  Throws:
    `XMLSignatureException`

### engineGetJCEAlgorithmString

    protected java.lang.String engineGetJCEAlgorithmString()

  Description copied from class: `SignatureAlgorithmSpi`
  Proxy method for `Signature.getAlgorithm()` which is executed on the internal `Signature` object.

  Specified by:
    `engineGetJCEAlgorithmString` in class `SignatureAlgorithmSpi`
  Returns:
    the result of the `Signature.getAlgorithm()` method

### engineGetJCEProviderName

    protected java.lang.String engineGetJCEProviderName()

  Description copied from class: `SignatureAlgorithmSpi`
  Method engineGetJCEProviderName

  Specified by:
    `engineGetJCEProviderName` in class `SignatureAlgorithmSpi`
  Returns:
    the JCE ProviderName

### engineSetHMACOutputLength

    protected void engineSetHMACOutputLength(int HMACOutputLength)
                                      throws XMLSignatureException

  Description copied from class: `SignatureAlgorithmSpi`
  Method engineSetHMACOutputLength

  Specified by:
    `engineSetHMACOutputLength` in class `SignatureAlgorithmSpi`
  Throws:
    `XMLSignatureException`

### engineInitSign

    protected void engineInitSign(java.security.Key signingKey,
                                  java.security.spec.AlgorithmParameterSpec algorithmParameterSpec)
                           throws XMLSignatureException

  Description copied from class: `SignatureAlgorithmSpi`
  Proxy method for `Mac` which is executed on the internal `Mac.init(Key)` object.

  Specified by:
    `engineInitSign` in class `SignatureAlgorithmSpi`
  Throws:
    `XMLSignatureException` - if this method is called on a Signature

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD